<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>MavenDependencyImpl xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/MavenDependencyImpl.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl;
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <strong class="jxr_keyword">import</strong> java.util.Collection;
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.notify.Notification;
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.util.EList;
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EClass;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.InternalEObject;
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.ENotificationImpl;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.MinimalEObjectImpl;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.util.EObjectResolvingEList;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.common.profile.Codegen.ExcludedDependency;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.common.profile.Codegen.MavenDependency;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment"> * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment"> * An implementation of the model object '&lt;em&gt;&lt;b&gt;Maven Dependency&lt;/b&gt;&lt;/em&gt;'.</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_javadoccomment"> * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment"> * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment"> * The following features are implemented:</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment"> * &lt;/p&gt;</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <em class="jxr_javadoccomment"> * &lt;ul&gt;</em>
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <em class="jxr_javadoccomment"> *   &lt;li&gt;{@link org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl.MavenDependencyImpl#getGroupId &lt;em&gt;Group Id&lt;/em&gt;}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <em class="jxr_javadoccomment"> *   &lt;li&gt;{@link org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl.MavenDependencyImpl#getArtifactId &lt;em&gt;Artifact Id&lt;/em&gt;}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <em class="jxr_javadoccomment"> *   &lt;li&gt;{@link org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl.MavenDependencyImpl#getVersion &lt;em&gt;Version&lt;/em&gt;}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <em class="jxr_javadoccomment"> *   &lt;li&gt;{@link org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl.MavenDependencyImpl#getBase_Class &lt;em&gt;Base Class&lt;/em&gt;}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <em class="jxr_javadoccomment"> *   &lt;li&gt;{@link org.eclipse.papyrus.designer.languages.common.profile.Codegen.impl.MavenDependencyImpl#getExclusions &lt;em&gt;Exclusions&lt;/em&gt;}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <em class="jxr_javadoccomment"> * &lt;/ul&gt;</em>
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <em class="jxr_javadoccomment"> * @generated</em>
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/MavenDependencyImpl.html">MavenDependencyImpl</a> <strong class="jxr_keyword">extends</strong> MinimalEObjectImpl.Container <strong class="jxr_keyword">implements</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/MavenDependency.html">MavenDependency</a> {
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_javadoccomment">	 * The default value of the '{@link #getGroupId() &lt;em&gt;Group Id&lt;/em&gt;}' attribute.</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment">	 * @see #getGroupId()</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String GROUP_ID_EDEFAULT = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <em class="jxr_javadoccomment">	 * The cached value of the '{@link #getGroupId() &lt;em&gt;Group Id&lt;/em&gt;}' attribute.</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_javadoccomment">	 * @see #getGroupId()</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  	<strong class="jxr_keyword">protected</strong> String groupId = GROUP_ID_EDEFAULT;
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  <em class="jxr_javadoccomment">	 * The default value of the '{@link #getArtifactId() &lt;em&gt;Artifact Id&lt;/em&gt;}' attribute.</em>
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  <em class="jxr_javadoccomment">	 * @see #getArtifactId()</em>
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String ARTIFACT_ID_EDEFAULT = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  <em class="jxr_javadoccomment">	 * The cached value of the '{@link #getArtifactId() &lt;em&gt;Artifact Id&lt;/em&gt;}' attribute.</em>
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  <em class="jxr_javadoccomment">	 * @see #getArtifactId()</em>
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  	<strong class="jxr_keyword">protected</strong> String artifactId = ARTIFACT_ID_EDEFAULT;
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  <em class="jxr_javadoccomment">	 * The default value of the '{@link #getVersion() &lt;em&gt;Version&lt;/em&gt;}' attribute.</em>
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  <em class="jxr_javadoccomment">	 * @see #getVersion()</em>
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String VERSION_EDEFAULT = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  <em class="jxr_javadoccomment">	 * The cached value of the '{@link #getVersion() &lt;em&gt;Version&lt;/em&gt;}' attribute.</em>
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  <em class="jxr_javadoccomment">	 * @see #getVersion()</em>
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  	<strong class="jxr_keyword">protected</strong> String version = VERSION_EDEFAULT;
<a class="jxr_linenumber" name="L100" href="#L100">100</a> 
<a class="jxr_linenumber" name="L101" href="#L101">101</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L102" href="#L102">102</a> <em class="jxr_javadoccomment">	 * The cached value of the '{@link #getBase_Class() &lt;em&gt;Base Class&lt;/em&gt;}' reference.</em>
<a class="jxr_linenumber" name="L103" href="#L103">103</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L104" href="#L104">104</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L105" href="#L105">105</a> <em class="jxr_javadoccomment">	 * @see #getBase_Class()</em>
<a class="jxr_linenumber" name="L106" href="#L106">106</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L107" href="#L107">107</a> <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L108" href="#L108">108</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 	<strong class="jxr_keyword">protected</strong> org.eclipse.uml2.uml.Class base_Class;
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L112" href="#L112">112</a> <em class="jxr_javadoccomment">	 * The cached value of the '{@link #getExclusions() &lt;em&gt;Exclusions&lt;/em&gt;}' reference list.</em>
<a class="jxr_linenumber" name="L113" href="#L113">113</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L114" href="#L114">114</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L115" href="#L115">115</a> <em class="jxr_javadoccomment">	 * @see #getExclusions()</em>
<a class="jxr_linenumber" name="L116" href="#L116">116</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L117" href="#L117">117</a> <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L118" href="#L118">118</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 	<strong class="jxr_keyword">protected</strong> EList&lt;ExcludedDependency&gt; exclusions;
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L122" href="#L122">122</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L123" href="#L123">123</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L124" href="#L124">124</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L125" href="#L125">125</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 	<strong class="jxr_keyword">protected</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/impl/MavenDependencyImpl.html">MavenDependencyImpl</a>() {
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 		<strong class="jxr_keyword">super</strong>();
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 	}
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L131" href="#L131">131</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L132" href="#L132">132</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L133" href="#L133">133</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L134" href="#L134">134</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 	@Override
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 	<strong class="jxr_keyword">protected</strong> EClass eStaticClass() {
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 		<strong class="jxr_keyword">return</strong> CodegenPackage.Literals.MAVEN_DEPENDENCY;
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 	}
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L141" href="#L141">141</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L142" href="#L142">142</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L143" href="#L143">143</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L144" href="#L144">144</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 	<strong class="jxr_keyword">public</strong> String getGroupId() {
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 		<strong class="jxr_keyword">return</strong> groupId;
<a class="jxr_linenumber" name="L147" href="#L147">147</a> 	}
<a class="jxr_linenumber" name="L148" href="#L148">148</a> 
<a class="jxr_linenumber" name="L149" href="#L149">149</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L150" href="#L150">150</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L151" href="#L151">151</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L152" href="#L152">152</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L153" href="#L153">153</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setGroupId(String newGroupId) {
<a class="jxr_linenumber" name="L155" href="#L155">155</a> 		String oldGroupId = groupId;
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 		groupId = newGroupId;
<a class="jxr_linenumber" name="L157" href="#L157">157</a> 		<strong class="jxr_keyword">if</strong> (eNotificationRequired())
<a class="jxr_linenumber" name="L158" href="#L158">158</a> 			eNotify(<strong class="jxr_keyword">new</strong> ENotificationImpl(<strong class="jxr_keyword">this</strong>, Notification.SET, CodegenPackage.MAVEN_DEPENDENCY__GROUP_ID, oldGroupId, groupId));
<a class="jxr_linenumber" name="L159" href="#L159">159</a> 	}
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 
<a class="jxr_linenumber" name="L161" href="#L161">161</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L162" href="#L162">162</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L163" href="#L163">163</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L164" href="#L164">164</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L165" href="#L165">165</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L166" href="#L166">166</a> 	<strong class="jxr_keyword">public</strong> String getArtifactId() {
<a class="jxr_linenumber" name="L167" href="#L167">167</a> 		<strong class="jxr_keyword">return</strong> artifactId;
<a class="jxr_linenumber" name="L168" href="#L168">168</a> 	}
<a class="jxr_linenumber" name="L169" href="#L169">169</a> 
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L171" href="#L171">171</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L172" href="#L172">172</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L173" href="#L173">173</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L174" href="#L174">174</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L175" href="#L175">175</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setArtifactId(String newArtifactId) {
<a class="jxr_linenumber" name="L176" href="#L176">176</a> 		String oldArtifactId = artifactId;
<a class="jxr_linenumber" name="L177" href="#L177">177</a> 		artifactId = newArtifactId;
<a class="jxr_linenumber" name="L178" href="#L178">178</a> 		<strong class="jxr_keyword">if</strong> (eNotificationRequired())
<a class="jxr_linenumber" name="L179" href="#L179">179</a> 			eNotify(<strong class="jxr_keyword">new</strong> ENotificationImpl(<strong class="jxr_keyword">this</strong>, Notification.SET, CodegenPackage.MAVEN_DEPENDENCY__ARTIFACT_ID, oldArtifactId, artifactId));
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 	}
<a class="jxr_linenumber" name="L181" href="#L181">181</a> 
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L183" href="#L183">183</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L184" href="#L184">184</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L185" href="#L185">185</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L186" href="#L186">186</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L187" href="#L187">187</a> 	<strong class="jxr_keyword">public</strong> String getVersion() {
<a class="jxr_linenumber" name="L188" href="#L188">188</a> 		<strong class="jxr_keyword">return</strong> version;
<a class="jxr_linenumber" name="L189" href="#L189">189</a> 	}
<a class="jxr_linenumber" name="L190" href="#L190">190</a> 
<a class="jxr_linenumber" name="L191" href="#L191">191</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L192" href="#L192">192</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L193" href="#L193">193</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L194" href="#L194">194</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L195" href="#L195">195</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setVersion(String newVersion) {
<a class="jxr_linenumber" name="L197" href="#L197">197</a> 		String oldVersion = version;
<a class="jxr_linenumber" name="L198" href="#L198">198</a> 		version = newVersion;
<a class="jxr_linenumber" name="L199" href="#L199">199</a> 		<strong class="jxr_keyword">if</strong> (eNotificationRequired())
<a class="jxr_linenumber" name="L200" href="#L200">200</a> 			eNotify(<strong class="jxr_keyword">new</strong> ENotificationImpl(<strong class="jxr_keyword">this</strong>, Notification.SET, CodegenPackage.MAVEN_DEPENDENCY__VERSION, oldVersion, version));
<a class="jxr_linenumber" name="L201" href="#L201">201</a> 	}
<a class="jxr_linenumber" name="L202" href="#L202">202</a> 
<a class="jxr_linenumber" name="L203" href="#L203">203</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L204" href="#L204">204</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L205" href="#L205">205</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L206" href="#L206">206</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L207" href="#L207">207</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L208" href="#L208">208</a> 	<strong class="jxr_keyword">public</strong> org.eclipse.uml2.uml.Class getBase_Class() {
<a class="jxr_linenumber" name="L209" href="#L209">209</a> 		<strong class="jxr_keyword">if</strong> (base_Class != <strong class="jxr_keyword">null</strong> &amp;&amp; base_Class.eIsProxy()) {
<a class="jxr_linenumber" name="L210" href="#L210">210</a> 			InternalEObject oldBase_Class = (InternalEObject)base_Class;
<a class="jxr_linenumber" name="L211" href="#L211">211</a> 			base_Class = (org.eclipse.uml2.uml.Class)eResolveProxy(oldBase_Class);
<a class="jxr_linenumber" name="L212" href="#L212">212</a> 			<strong class="jxr_keyword">if</strong> (base_Class != oldBase_Class) {
<a class="jxr_linenumber" name="L213" href="#L213">213</a> 				<strong class="jxr_keyword">if</strong> (eNotificationRequired())
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 					eNotify(<strong class="jxr_keyword">new</strong> ENotificationImpl(<strong class="jxr_keyword">this</strong>, Notification.RESOLVE, CodegenPackage.MAVEN_DEPENDENCY__BASE_CLASS, oldBase_Class, base_Class));
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 			}
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 		}
<a class="jxr_linenumber" name="L217" href="#L217">217</a> 		<strong class="jxr_keyword">return</strong> base_Class;
<a class="jxr_linenumber" name="L218" href="#L218">218</a> 	}
<a class="jxr_linenumber" name="L219" href="#L219">219</a> 
<a class="jxr_linenumber" name="L220" href="#L220">220</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L221" href="#L221">221</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L222" href="#L222">222</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L223" href="#L223">223</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L224" href="#L224">224</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L225" href="#L225">225</a> 	<strong class="jxr_keyword">public</strong> org.eclipse.uml2.uml.Class basicGetBase_Class() {
<a class="jxr_linenumber" name="L226" href="#L226">226</a> 		<strong class="jxr_keyword">return</strong> base_Class;
<a class="jxr_linenumber" name="L227" href="#L227">227</a> 	}
<a class="jxr_linenumber" name="L228" href="#L228">228</a> 
<a class="jxr_linenumber" name="L229" href="#L229">229</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L230" href="#L230">230</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L231" href="#L231">231</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L232" href="#L232">232</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L233" href="#L233">233</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L234" href="#L234">234</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setBase_Class(org.eclipse.uml2.uml.Class newBase_Class) {
<a class="jxr_linenumber" name="L235" href="#L235">235</a> 		org.eclipse.uml2.uml.Class oldBase_Class = base_Class;
<a class="jxr_linenumber" name="L236" href="#L236">236</a> 		base_Class = newBase_Class;
<a class="jxr_linenumber" name="L237" href="#L237">237</a> 		<strong class="jxr_keyword">if</strong> (eNotificationRequired())
<a class="jxr_linenumber" name="L238" href="#L238">238</a> 			eNotify(<strong class="jxr_keyword">new</strong> ENotificationImpl(<strong class="jxr_keyword">this</strong>, Notification.SET, CodegenPackage.MAVEN_DEPENDENCY__BASE_CLASS, oldBase_Class, base_Class));
<a class="jxr_linenumber" name="L239" href="#L239">239</a> 	}
<a class="jxr_linenumber" name="L240" href="#L240">240</a> 
<a class="jxr_linenumber" name="L241" href="#L241">241</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L242" href="#L242">242</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L243" href="#L243">243</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L244" href="#L244">244</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L245" href="#L245">245</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L246" href="#L246">246</a> 	<strong class="jxr_keyword">public</strong> EList&lt;ExcludedDependency&gt; getExclusions() {
<a class="jxr_linenumber" name="L247" href="#L247">247</a> 		<strong class="jxr_keyword">if</strong> (exclusions == <strong class="jxr_keyword">null</strong>) {
<a class="jxr_linenumber" name="L248" href="#L248">248</a> 			exclusions = <strong class="jxr_keyword">new</strong> EObjectResolvingEList&lt;ExcludedDependency&gt;(ExcludedDependency.<strong class="jxr_keyword">class</strong>, <strong class="jxr_keyword">this</strong>, CodegenPackage.MAVEN_DEPENDENCY__EXCLUSIONS);
<a class="jxr_linenumber" name="L249" href="#L249">249</a> 		}
<a class="jxr_linenumber" name="L250" href="#L250">250</a> 		<strong class="jxr_keyword">return</strong> exclusions;
<a class="jxr_linenumber" name="L251" href="#L251">251</a> 	}
<a class="jxr_linenumber" name="L252" href="#L252">252</a> 
<a class="jxr_linenumber" name="L253" href="#L253">253</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L254" href="#L254">254</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L255" href="#L255">255</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L256" href="#L256">256</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L257" href="#L257">257</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L258" href="#L258">258</a> 	@Override
<a class="jxr_linenumber" name="L259" href="#L259">259</a> 	<strong class="jxr_keyword">public</strong> Object eGet(<strong class="jxr_keyword">int</strong> featureID, <strong class="jxr_keyword">boolean</strong> resolve, <strong class="jxr_keyword">boolean</strong> coreType) {
<a class="jxr_linenumber" name="L260" href="#L260">260</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L261" href="#L261">261</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__GROUP_ID:
<a class="jxr_linenumber" name="L262" href="#L262">262</a> 				<strong class="jxr_keyword">return</strong> getGroupId();
<a class="jxr_linenumber" name="L263" href="#L263">263</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__ARTIFACT_ID:
<a class="jxr_linenumber" name="L264" href="#L264">264</a> 				<strong class="jxr_keyword">return</strong> getArtifactId();
<a class="jxr_linenumber" name="L265" href="#L265">265</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__VERSION:
<a class="jxr_linenumber" name="L266" href="#L266">266</a> 				<strong class="jxr_keyword">return</strong> getVersion();
<a class="jxr_linenumber" name="L267" href="#L267">267</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__BASE_CLASS:
<a class="jxr_linenumber" name="L268" href="#L268">268</a> 				<strong class="jxr_keyword">if</strong> (resolve) <strong class="jxr_keyword">return</strong> getBase_Class();
<a class="jxr_linenumber" name="L269" href="#L269">269</a> 				<strong class="jxr_keyword">return</strong> basicGetBase_Class();
<a class="jxr_linenumber" name="L270" href="#L270">270</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__EXCLUSIONS:
<a class="jxr_linenumber" name="L271" href="#L271">271</a> 				<strong class="jxr_keyword">return</strong> getExclusions();
<a class="jxr_linenumber" name="L272" href="#L272">272</a> 		}
<a class="jxr_linenumber" name="L273" href="#L273">273</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">super</strong>.eGet(featureID, resolve, coreType);
<a class="jxr_linenumber" name="L274" href="#L274">274</a> 	}
<a class="jxr_linenumber" name="L275" href="#L275">275</a> 
<a class="jxr_linenumber" name="L276" href="#L276">276</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L277" href="#L277">277</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L278" href="#L278">278</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L279" href="#L279">279</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L280" href="#L280">280</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L281" href="#L281">281</a> 	@SuppressWarnings(<span class="jxr_string">"unchecked"</span>)
<a class="jxr_linenumber" name="L282" href="#L282">282</a> 	@Override
<a class="jxr_linenumber" name="L283" href="#L283">283</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> eSet(<strong class="jxr_keyword">int</strong> featureID, Object newValue) {
<a class="jxr_linenumber" name="L284" href="#L284">284</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L285" href="#L285">285</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__GROUP_ID:
<a class="jxr_linenumber" name="L286" href="#L286">286</a> 				setGroupId((String)newValue);
<a class="jxr_linenumber" name="L287" href="#L287">287</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L288" href="#L288">288</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__ARTIFACT_ID:
<a class="jxr_linenumber" name="L289" href="#L289">289</a> 				setArtifactId((String)newValue);
<a class="jxr_linenumber" name="L290" href="#L290">290</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L291" href="#L291">291</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__VERSION:
<a class="jxr_linenumber" name="L292" href="#L292">292</a> 				setVersion((String)newValue);
<a class="jxr_linenumber" name="L293" href="#L293">293</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L294" href="#L294">294</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__BASE_CLASS:
<a class="jxr_linenumber" name="L295" href="#L295">295</a> 				setBase_Class((org.eclipse.uml2.uml.Class)newValue);
<a class="jxr_linenumber" name="L296" href="#L296">296</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L297" href="#L297">297</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__EXCLUSIONS:
<a class="jxr_linenumber" name="L298" href="#L298">298</a> 				getExclusions().clear();
<a class="jxr_linenumber" name="L299" href="#L299">299</a> 				getExclusions().addAll((Collection&lt;? <strong class="jxr_keyword">extends</strong> ExcludedDependency&gt;)newValue);
<a class="jxr_linenumber" name="L300" href="#L300">300</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L301" href="#L301">301</a> 		}
<a class="jxr_linenumber" name="L302" href="#L302">302</a> 		<strong class="jxr_keyword">super</strong>.eSet(featureID, newValue);
<a class="jxr_linenumber" name="L303" href="#L303">303</a> 	}
<a class="jxr_linenumber" name="L304" href="#L304">304</a> 
<a class="jxr_linenumber" name="L305" href="#L305">305</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L306" href="#L306">306</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L307" href="#L307">307</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L308" href="#L308">308</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L309" href="#L309">309</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L310" href="#L310">310</a> 	@Override
<a class="jxr_linenumber" name="L311" href="#L311">311</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> eUnset(<strong class="jxr_keyword">int</strong> featureID) {
<a class="jxr_linenumber" name="L312" href="#L312">312</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L313" href="#L313">313</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__GROUP_ID:
<a class="jxr_linenumber" name="L314" href="#L314">314</a> 				setGroupId(GROUP_ID_EDEFAULT);
<a class="jxr_linenumber" name="L315" href="#L315">315</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L316" href="#L316">316</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__ARTIFACT_ID:
<a class="jxr_linenumber" name="L317" href="#L317">317</a> 				setArtifactId(ARTIFACT_ID_EDEFAULT);
<a class="jxr_linenumber" name="L318" href="#L318">318</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L319" href="#L319">319</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__VERSION:
<a class="jxr_linenumber" name="L320" href="#L320">320</a> 				setVersion(VERSION_EDEFAULT);
<a class="jxr_linenumber" name="L321" href="#L321">321</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L322" href="#L322">322</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__BASE_CLASS:
<a class="jxr_linenumber" name="L323" href="#L323">323</a> 				setBase_Class((org.eclipse.uml2.uml.Class)<strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="L324" href="#L324">324</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L325" href="#L325">325</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__EXCLUSIONS:
<a class="jxr_linenumber" name="L326" href="#L326">326</a> 				getExclusions().clear();
<a class="jxr_linenumber" name="L327" href="#L327">327</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L328" href="#L328">328</a> 		}
<a class="jxr_linenumber" name="L329" href="#L329">329</a> 		<strong class="jxr_keyword">super</strong>.eUnset(featureID);
<a class="jxr_linenumber" name="L330" href="#L330">330</a> 	}
<a class="jxr_linenumber" name="L331" href="#L331">331</a> 
<a class="jxr_linenumber" name="L332" href="#L332">332</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L333" href="#L333">333</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L334" href="#L334">334</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L335" href="#L335">335</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L336" href="#L336">336</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L337" href="#L337">337</a> 	@Override
<a class="jxr_linenumber" name="L338" href="#L338">338</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">boolean</strong> eIsSet(<strong class="jxr_keyword">int</strong> featureID) {
<a class="jxr_linenumber" name="L339" href="#L339">339</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L340" href="#L340">340</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__GROUP_ID:
<a class="jxr_linenumber" name="L341" href="#L341">341</a> 				<strong class="jxr_keyword">return</strong> GROUP_ID_EDEFAULT == <strong class="jxr_keyword">null</strong> ? groupId != <strong class="jxr_keyword">null</strong> : !GROUP_ID_EDEFAULT.equals(groupId);
<a class="jxr_linenumber" name="L342" href="#L342">342</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__ARTIFACT_ID:
<a class="jxr_linenumber" name="L343" href="#L343">343</a> 				<strong class="jxr_keyword">return</strong> ARTIFACT_ID_EDEFAULT == <strong class="jxr_keyword">null</strong> ? artifactId != <strong class="jxr_keyword">null</strong> : !ARTIFACT_ID_EDEFAULT.equals(artifactId);
<a class="jxr_linenumber" name="L344" href="#L344">344</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__VERSION:
<a class="jxr_linenumber" name="L345" href="#L345">345</a> 				<strong class="jxr_keyword">return</strong> VERSION_EDEFAULT == <strong class="jxr_keyword">null</strong> ? version != <strong class="jxr_keyword">null</strong> : !VERSION_EDEFAULT.equals(version);
<a class="jxr_linenumber" name="L346" href="#L346">346</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__BASE_CLASS:
<a class="jxr_linenumber" name="L347" href="#L347">347</a> 				<strong class="jxr_keyword">return</strong> base_Class != <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L348" href="#L348">348</a> 			<strong class="jxr_keyword">case</strong> CodegenPackage.MAVEN_DEPENDENCY__EXCLUSIONS:
<a class="jxr_linenumber" name="L349" href="#L349">349</a> 				<strong class="jxr_keyword">return</strong> exclusions != <strong class="jxr_keyword">null</strong> &amp;&amp; !exclusions.isEmpty();
<a class="jxr_linenumber" name="L350" href="#L350">350</a> 		}
<a class="jxr_linenumber" name="L351" href="#L351">351</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">super</strong>.eIsSet(featureID);
<a class="jxr_linenumber" name="L352" href="#L352">352</a> 	}
<a class="jxr_linenumber" name="L353" href="#L353">353</a> 
<a class="jxr_linenumber" name="L354" href="#L354">354</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L355" href="#L355">355</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L356" href="#L356">356</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L357" href="#L357">357</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L358" href="#L358">358</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L359" href="#L359">359</a> 	@Override
<a class="jxr_linenumber" name="L360" href="#L360">360</a> 	<strong class="jxr_keyword">public</strong> String toString() {
<a class="jxr_linenumber" name="L361" href="#L361">361</a> 		<strong class="jxr_keyword">if</strong> (eIsProxy()) <strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">super</strong>.toString();
<a class="jxr_linenumber" name="L362" href="#L362">362</a> 
<a class="jxr_linenumber" name="L363" href="#L363">363</a> 		StringBuffer result = <strong class="jxr_keyword">new</strong> StringBuffer(<strong class="jxr_keyword">super</strong>.toString());
<a class="jxr_linenumber" name="L364" href="#L364">364</a> 		result.append(<span class="jxr_string">" (groupId: "</span>);
<a class="jxr_linenumber" name="L365" href="#L365">365</a> 		result.append(groupId);
<a class="jxr_linenumber" name="L366" href="#L366">366</a> 		result.append(<span class="jxr_string">", artifactId: "</span>);
<a class="jxr_linenumber" name="L367" href="#L367">367</a> 		result.append(artifactId);
<a class="jxr_linenumber" name="L368" href="#L368">368</a> 		result.append(<span class="jxr_string">", version: "</span>);
<a class="jxr_linenumber" name="L369" href="#L369">369</a> 		result.append(version);
<a class="jxr_linenumber" name="L370" href="#L370">370</a> 		result.append(')');
<a class="jxr_linenumber" name="L371" href="#L371">371</a> 		<strong class="jxr_keyword">return</strong> result.toString();
<a class="jxr_linenumber" name="L372" href="#L372">372</a> 	}
<a class="jxr_linenumber" name="L373" href="#L373">373</a> 
<a class="jxr_linenumber" name="L374" href="#L374">374</a> } <em class="jxr_comment">//MavenDependencyImpl</em>
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
